<html>
<head>
<title>Ogre::GLESFrameBufferObject Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLESFrameBufferObject.html">GLESFrameBufferObject</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::GLESFrameBufferObject Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::GLESFrameBufferObject" -->
<p>Frame Buffer Object abstraction.  
 <a href="classOgre_1_1GLESFrameBufferObject.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreGLESFrameBufferObject_8h_source.html">OgreGLESFrameBufferObject.h</a>&gt;</code></p>

<p><a href="classOgre_1_1GLESFrameBufferObject-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFrameBufferObject.html#aa906f837556b093549b72a51cf9b9069">GLESFrameBufferObject</a> (<a class="el" href="classOgre_1_1GLESFBOManager.html">GLESFBOManager</a> *manager, <a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> fsaa)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFrameBufferObject.html#a889d8535816a123fdfd7a19bb1d66578">~GLESFrameBufferObject</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFrameBufferObject.html#aa2d0a994d34163bbbdc51ea8ad9f2cee">bindSurface</a> (size_t attachment, const <a class="el" href="structOgre_1_1GLESSurfaceDesc.html">GLESSurfaceDesc</a> &amp;target)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Bind a surface to a certain attachment point.  <a href="#aa2d0a994d34163bbbdc51ea8ad9f2cee"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFrameBufferObject.html#afba151b72d35216cc962cc9457e1c418">unbindSurface</a> (size_t attachment)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Unbind attachment.  <a href="#afba151b72d35216cc962cc9457e1c418"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFrameBufferObject.html#a7fdb200254cef2512585b8bcec540149">bind</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Bind FrameBufferObject.  <a href="#a7fdb200254cef2512585b8bcec540149"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFrameBufferObject.html#a92d091450adc5fbff684f0f28fc37bf6">swapBuffers</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Swap buffers - only useful when using multisample buffers.  <a href="#a92d091450adc5fbff684f0f28fc37bf6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFrameBufferObject.html#a85cd8ebf4b42a733f7cc9805682d17ee">attachDepthBuffer</a> (<a class="el" href="classOgre_1_1DepthBuffer.html">DepthBuffer</a> *depthBuffer)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This function acts very similar to.  <a href="#a85cd8ebf4b42a733f7cc9805682d17ee"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFrameBufferObject.html#a4cee53e3bba9717de94651d5a75a6c5a">detachDepthBuffer</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFrameBufferObject.html#af7fccd8be24c80b60e5a60e5a5b469e1">getWidth</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Accessors.  <a href="#af7fccd8be24c80b60e5a60e5a5b469e1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFrameBufferObject.html#ac8e3ba407ca9f24230c373b99df98e1b">getHeight</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFrameBufferObject.html#aa33574dfad697d59c62a2a24dc2e4969">getFormat</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLsizei&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFrameBufferObject.html#a05f9131c95cb8564632429d018c217c7">getFSAA</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLESFBOManager.html">GLESFBOManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFrameBufferObject.html#a06620bfd76eced53c62e9e0cb80ea551">getManager</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="structOgre_1_1GLESSurfaceDesc.html">GLESSurfaceDesc</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFrameBufferObject.html#a249cbab2abd68ce9633213dd82f0e91c">getSurface</a> (size_t attachment)</td></tr>
<tr><td colspan="2"><h2><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFrameBufferObject.html#a53306a9660447e088ec292c6da746af3">initialise</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialise object (find suitable depth and stencil format).  <a href="#a53306a9660447e088ec292c6da746af3"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLESFBOManager.html">GLESFBOManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFrameBufferObject.html#a24db7c3793e884393189f0c54ff88abc">mManager</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLsizei&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFrameBufferObject.html#aee96f71fcb2faa3baeeb31078ee052cc">mNumSamples</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLuint&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFrameBufferObject.html#af028ab4e0c78b54b94f114fa85141c94">mFB</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLuint&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFrameBufferObject.html#a8355e148082fd9cac220a1e9c00a416b">mMultisampleFB</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1GLESSurfaceDesc.html">GLESSurfaceDesc</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFrameBufferObject.html#a056516fc1482233e46e623769fb2aa66">mMultisampleColourBuffer</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1GLESSurfaceDesc.html">GLESSurfaceDesc</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFrameBufferObject.html#a50ea6327209f96b790013e5bc9982176">mDepth</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1GLESSurfaceDesc.html">GLESSurfaceDesc</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFrameBufferObject.html#ab08044c781fd87854de58a414cde025a">mStencil</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1GLESSurfaceDesc.html">GLESSurfaceDesc</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFrameBufferObject.html#a3bc0258ad8a1f3d25436e94f2cac6551">mColour</a> [<a class="el" href="OgreConfig_8h.html#a1555343fe7aade0966aa442f2e0c16f5">OGRE_MAX_MULTIPLE_RENDER_TARGETS</a>]</td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Frame Buffer Object abstraction. </p>

<p>Definition at line <a class="el" href="OgreGLESFrameBufferObject_8h_source.html#l00041">41</a> of file <a class="el" href="OgreGLESFrameBufferObject_8h_source.html">OgreGLESFrameBufferObject.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aa906f837556b093549b72a51cf9b9069"></a><!-- doxytag: member="Ogre::GLESFrameBufferObject::GLESFrameBufferObject" ref="aa906f837556b093549b72a51cf9b9069" args="(GLESFBOManager *manager, uint fsaa)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLESFrameBufferObject.html#aa906f837556b093549b72a51cf9b9069">Ogre::GLESFrameBufferObject::GLESFrameBufferObject</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GLESFBOManager.html">GLESFBOManager</a> *&#160;</td>
          <td class="paramname"><em>manager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td>
          <td class="paramname"><em>fsaa</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a889d8535816a123fdfd7a19bb1d66578"></a><!-- doxytag: member="Ogre::GLESFrameBufferObject::~GLESFrameBufferObject" ref="a889d8535816a123fdfd7a19bb1d66578" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLESFrameBufferObject.html#a889d8535816a123fdfd7a19bb1d66578">Ogre::GLESFrameBufferObject::~GLESFrameBufferObject</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a85cd8ebf4b42a733f7cc9805682d17ee"></a><!-- doxytag: member="Ogre::GLESFrameBufferObject::attachDepthBuffer" ref="a85cd8ebf4b42a733f7cc9805682d17ee" args="(DepthBuffer *depthBuffer)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLESFrameBufferObject.html#a85cd8ebf4b42a733f7cc9805682d17ee">Ogre::GLESFrameBufferObject::attachDepthBuffer</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1DepthBuffer.html">DepthBuffer</a> *&#160;</td>
          <td class="paramname"><em>depthBuffer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This function acts very similar to. </p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1GLESFBORenderTexture.html#aaeb403d7d5d1a3991cebd73b049ee5f5" title="Override so we can attach the depth buffer to the FBO.">GLESFBORenderTexture::attachDepthBuffer</a> The difference between D3D &amp; OGL is that D3D setups the <a class="el" href="classOgre_1_1DepthBuffer.html" title="An abstract class that contains a depth/stencil buffer.">DepthBuffer</a> before rendering, while OGL setups the <a class="el" href="classOgre_1_1DepthBuffer.html" title="An abstract class that contains a depth/stencil buffer.">DepthBuffer</a> per FBO. So the <a class="el" href="classOgre_1_1DepthBuffer.html" title="An abstract class that contains a depth/stencil buffer.">DepthBuffer</a> (RenderBuffer) needs to be attached for OGL. </dd></dl>

</div>
</div>
<a class="anchor" id="a7fdb200254cef2512585b8bcec540149"></a><!-- doxytag: member="Ogre::GLESFrameBufferObject::bind" ref="a7fdb200254cef2512585b8bcec540149" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLESFrameBufferObject.html#a7fdb200254cef2512585b8bcec540149">Ogre::GLESFrameBufferObject::bind</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Bind FrameBufferObject. </p>

</div>
</div>
<a class="anchor" id="aa2d0a994d34163bbbdc51ea8ad9f2cee"></a><!-- doxytag: member="Ogre::GLESFrameBufferObject::bindSurface" ref="aa2d0a994d34163bbbdc51ea8ad9f2cee" args="(size_t attachment, const GLESSurfaceDesc &amp;target)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLESFrameBufferObject.html#aa2d0a994d34163bbbdc51ea8ad9f2cee">Ogre::GLESFrameBufferObject::bindSurface</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>attachment</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1GLESSurfaceDesc.html">GLESSurfaceDesc</a> &amp;&#160;</td>
          <td class="paramname"><em>target</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Bind a surface to a certain attachment point. </p>
<p>attachment: 0..OGRE_MAX_MULTIPLE_RENDER_TARGETS-1 </p>

</div>
</div>
<a class="anchor" id="a4cee53e3bba9717de94651d5a75a6c5a"></a><!-- doxytag: member="Ogre::GLESFrameBufferObject::detachDepthBuffer" ref="a4cee53e3bba9717de94651d5a75a6c5a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLESFrameBufferObject.html#a4cee53e3bba9717de94651d5a75a6c5a">Ogre::GLESFrameBufferObject::detachDepthBuffer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aa33574dfad697d59c62a2a24dc2e4969"></a><!-- doxytag: member="Ogre::GLESFrameBufferObject::getFormat" ref="aa33574dfad697d59c62a2a24dc2e4969" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> <a class="el" href="classOgre_1_1GLESFrameBufferObject.html#aa33574dfad697d59c62a2a24dc2e4969">Ogre::GLESFrameBufferObject::getFormat</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a05f9131c95cb8564632429d018c217c7"></a><!-- doxytag: member="Ogre::GLESFrameBufferObject::getFSAA" ref="a05f9131c95cb8564632429d018c217c7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLsizei <a class="el" href="classOgre_1_1GLESFrameBufferObject.html#a05f9131c95cb8564632429d018c217c7">Ogre::GLESFrameBufferObject::getFSAA</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ac8e3ba407ca9f24230c373b99df98e1b"></a><!-- doxytag: member="Ogre::GLESFrameBufferObject::getHeight" ref="ac8e3ba407ca9f24230c373b99df98e1b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1GLESFrameBufferObject.html#ac8e3ba407ca9f24230c373b99df98e1b">Ogre::GLESFrameBufferObject::getHeight</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a06620bfd76eced53c62e9e0cb80ea551"></a><!-- doxytag: member="Ogre::GLESFrameBufferObject::getManager" ref="a06620bfd76eced53c62e9e0cb80ea551" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLESFBOManager.html">GLESFBOManager</a>* <a class="el" href="classOgre_1_1GLESFrameBufferObject.html#a06620bfd76eced53c62e9e0cb80ea551">Ogre::GLESFrameBufferObject::getManager</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESFrameBufferObject_8h_source.html#l00077">77</a> of file <a class="el" href="OgreGLESFrameBufferObject_8h_source.html">OgreGLESFrameBufferObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a249cbab2abd68ce9633213dd82f0e91c"></a><!-- doxytag: member="Ogre::GLESFrameBufferObject::getSurface" ref="a249cbab2abd68ce9633213dd82f0e91c" args="(size_t attachment)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="structOgre_1_1GLESSurfaceDesc.html">GLESSurfaceDesc</a>&amp; <a class="el" href="classOgre_1_1GLESFrameBufferObject.html#a249cbab2abd68ce9633213dd82f0e91c">Ogre::GLESFrameBufferObject::getSurface</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>attachment</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESFrameBufferObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreGLESFrameBufferObject_8h_source.html">OgreGLESFrameBufferObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="af7fccd8be24c80b60e5a60e5a5b469e1"></a><!-- doxytag: member="Ogre::GLESFrameBufferObject::getWidth" ref="af7fccd8be24c80b60e5a60e5a5b469e1" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1GLESFrameBufferObject.html#af7fccd8be24c80b60e5a60e5a5b469e1">Ogre::GLESFrameBufferObject::getWidth</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Accessors. </p>

</div>
</div>
<a class="anchor" id="a53306a9660447e088ec292c6da746af3"></a><!-- doxytag: member="Ogre::GLESFrameBufferObject::initialise" ref="a53306a9660447e088ec292c6da746af3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLESFrameBufferObject.html#a53306a9660447e088ec292c6da746af3">Ogre::GLESFrameBufferObject::initialise</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Initialise object (find suitable depth and stencil format). </p>
<p>Must be called every time the bindings change. It fails with an exception (ERR_INVALIDPARAMS) if:</p>
<ul>
<li>Attachment point 0 has no binding</li>
<li>Not all bound surfaces have the same size</li>
<li>Not all bound surfaces have the same internal format </li>
</ul>

</div>
</div>
<a class="anchor" id="a92d091450adc5fbff684f0f28fc37bf6"></a><!-- doxytag: member="Ogre::GLESFrameBufferObject::swapBuffers" ref="a92d091450adc5fbff684f0f28fc37bf6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLESFrameBufferObject.html#a92d091450adc5fbff684f0f28fc37bf6">Ogre::GLESFrameBufferObject::swapBuffers</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Swap buffers - only useful when using multisample buffers. </p>

</div>
</div>
<a class="anchor" id="afba151b72d35216cc962cc9457e1c418"></a><!-- doxytag: member="Ogre::GLESFrameBufferObject::unbindSurface" ref="afba151b72d35216cc962cc9457e1c418" args="(size_t attachment)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLESFrameBufferObject.html#afba151b72d35216cc962cc9457e1c418">Ogre::GLESFrameBufferObject::unbindSurface</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>attachment</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unbind attachment. </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a3bc0258ad8a1f3d25436e94f2cac6551"></a><!-- doxytag: member="Ogre::GLESFrameBufferObject::mColour" ref="a3bc0258ad8a1f3d25436e94f2cac6551" args="[OGRE_MAX_MULTIPLE_RENDER_TARGETS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1GLESSurfaceDesc.html">GLESSurfaceDesc</a> <a class="el" href="classOgre_1_1GLESFrameBufferObject.html#a3bc0258ad8a1f3d25436e94f2cac6551">Ogre::GLESFrameBufferObject::mColour</a>[<a class="el" href="OgreConfig_8h.html#a1555343fe7aade0966aa442f2e0c16f5">OGRE_MAX_MULTIPLE_RENDER_TARGETS</a>]<code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESFrameBufferObject_8h_source.html#l00088">88</a> of file <a class="el" href="OgreGLESFrameBufferObject_8h_source.html">OgreGLESFrameBufferObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a50ea6327209f96b790013e5bc9982176"></a><!-- doxytag: member="Ogre::GLESFrameBufferObject::mDepth" ref="a50ea6327209f96b790013e5bc9982176" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1GLESSurfaceDesc.html">GLESSurfaceDesc</a> <a class="el" href="classOgre_1_1GLESFrameBufferObject.html#a50ea6327209f96b790013e5bc9982176">Ogre::GLESFrameBufferObject::mDepth</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESFrameBufferObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreGLESFrameBufferObject_8h_source.html">OgreGLESFrameBufferObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="af028ab4e0c78b54b94f114fa85141c94"></a><!-- doxytag: member="Ogre::GLESFrameBufferObject::mFB" ref="af028ab4e0c78b54b94f114fa85141c94" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLuint <a class="el" href="classOgre_1_1GLESFrameBufferObject.html#af028ab4e0c78b54b94f114fa85141c94">Ogre::GLESFrameBufferObject::mFB</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESFrameBufferObject_8h_source.html#l00082">82</a> of file <a class="el" href="OgreGLESFrameBufferObject_8h_source.html">OgreGLESFrameBufferObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a24db7c3793e884393189f0c54ff88abc"></a><!-- doxytag: member="Ogre::GLESFrameBufferObject::mManager" ref="a24db7c3793e884393189f0c54ff88abc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLESFBOManager.html">GLESFBOManager</a>* <a class="el" href="classOgre_1_1GLESFrameBufferObject.html#a24db7c3793e884393189f0c54ff88abc">Ogre::GLESFrameBufferObject::mManager</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESFrameBufferObject_8h_source.html#l00080">80</a> of file <a class="el" href="OgreGLESFrameBufferObject_8h_source.html">OgreGLESFrameBufferObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a056516fc1482233e46e623769fb2aa66"></a><!-- doxytag: member="Ogre::GLESFrameBufferObject::mMultisampleColourBuffer" ref="a056516fc1482233e46e623769fb2aa66" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1GLESSurfaceDesc.html">GLESSurfaceDesc</a> <a class="el" href="classOgre_1_1GLESFrameBufferObject.html#a056516fc1482233e46e623769fb2aa66">Ogre::GLESFrameBufferObject::mMultisampleColourBuffer</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESFrameBufferObject_8h_source.html#l00084">84</a> of file <a class="el" href="OgreGLESFrameBufferObject_8h_source.html">OgreGLESFrameBufferObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8355e148082fd9cac220a1e9c00a416b"></a><!-- doxytag: member="Ogre::GLESFrameBufferObject::mMultisampleFB" ref="a8355e148082fd9cac220a1e9c00a416b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLuint <a class="el" href="classOgre_1_1GLESFrameBufferObject.html#a8355e148082fd9cac220a1e9c00a416b">Ogre::GLESFrameBufferObject::mMultisampleFB</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESFrameBufferObject_8h_source.html#l00083">83</a> of file <a class="el" href="OgreGLESFrameBufferObject_8h_source.html">OgreGLESFrameBufferObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="aee96f71fcb2faa3baeeb31078ee052cc"></a><!-- doxytag: member="Ogre::GLESFrameBufferObject::mNumSamples" ref="aee96f71fcb2faa3baeeb31078ee052cc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLsizei <a class="el" href="classOgre_1_1GLESFrameBufferObject.html#aee96f71fcb2faa3baeeb31078ee052cc">Ogre::GLESFrameBufferObject::mNumSamples</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESFrameBufferObject_8h_source.html#l00081">81</a> of file <a class="el" href="OgreGLESFrameBufferObject_8h_source.html">OgreGLESFrameBufferObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab08044c781fd87854de58a414cde025a"></a><!-- doxytag: member="Ogre::GLESFrameBufferObject::mStencil" ref="ab08044c781fd87854de58a414cde025a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1GLESSurfaceDesc.html">GLESSurfaceDesc</a> <a class="el" href="classOgre_1_1GLESFrameBufferObject.html#ab08044c781fd87854de58a414cde025a">Ogre::GLESFrameBufferObject::mStencil</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESFrameBufferObject_8h_source.html#l00086">86</a> of file <a class="el" href="OgreGLESFrameBufferObject_8h_source.html">OgreGLESFrameBufferObject.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreGLESFrameBufferObject_8h_source.html">OgreGLESFrameBufferObject.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:24
</p>
</body>
</html>
